## MM3gppProfile

MM3gppProfile — Helper object to handle 3GPP profile settings.

## Functions

MM3gppProfile * | mm_3gpp_profile_new ()
const gchar * | mm_3gpp_profile_get_apn ()
void | mm_3gpp_profile_set_apn ()
MMBearerApnType | mm_3gpp_profile_get_apn_type ()
void | mm_3gpp_profile_set_apn_type ()
MMBearerAllowedAuth | mm_3gpp_profile_get_allowed_auth ()
void | mm_3gpp_profile_set_allowed_auth ()
const gchar * | mm_3gpp_profile_get_user ()
void | mm_3gpp_profile_set_user ()
const gchar * | mm_3gpp_profile_get_password ()
void | mm_3gpp_profile_set_password ()
MMBearerIpFamily | mm_3gpp_profile_get_ip_type ()
void | mm_3gpp_profile_set_ip_type ()
gint | mm_3gpp_profile_get_profile_id ()
void | mm_3gpp_profile_set_profile_id ()
const gchar * | mm_3gpp_profile_get_profile_name ()
void | mm_3gpp_profile_set_profile_name ()
MMBearerAccessTypePreference | mm_3gpp_profile_get_access_type_preference ()
void | mm_3gpp_profile_set_access_type_preference ()
gboolean | mm_3gpp_profile_get_enabled ()
void | mm_3gpp_profile_set_enabled ()
MMBearerRoamingAllowance | mm_3gpp_profile_get_roaming_allowance ()
void | mm_3gpp_profile_set_roaming_allowance ()
MMBearerProfileSource | mm_3gpp_profile_get_profile_source ()
void | mm_3gpp_profile_set_profile_source ()

## Types and Values

#define | MM_3GPP_PROFILE_ID_UNKNOWN
struct | MM3gppProfile

## Object Hierarchy

        GObject
        ╰── MM3gppProfile

## Description

The MM3gppProfile is an object handling the settings associated to a connection profile stored in the device.

## Functions

### mm_3gpp_profile_new ()

    MM3gppProfile *
    mm_3gpp_profile_new (void);

Creates a new empty MM3gppProfile.

#### Returns

a MM3gppProfile. The returned value should be freed with `g_object_unref()`.

[transfer full]

Since: 1.18

### mm_3gpp_profile_get_apn ()

    const gchar *
    mm_3gpp_profile_get_apn (MM3gppProfile *self);

Gets the name of the access point.

#### Parameters

self | a MM3gppProfile. |

#### Returns

the access point, or NULL if not set. Do not free the returned value, it is owned by `self` .

[transfer none]

Since: 1.18

### mm_3gpp_profile_set_apn ()

    void
    mm_3gpp_profile_set_apn (MM3gppProfile *self,
                             const gchar *apn);

Sets the name of the access point to use.

#### Parameters

self | a MM3gppProfile. |
apn | Name of the access point. |

Since: 1.18

### mm_3gpp_profile_get_apn_type ()

    MMBearerApnType
    mm_3gpp_profile_get_apn_type (MM3gppProfile *self);

Gets the APN types to use.

#### Parameters

self | a MM3gppProfile. |

#### Returns

a mask of MMBearerApnType values.

Since: 1.18

### mm_3gpp_profile_set_apn_type ()

    void
    mm_3gpp_profile_set_apn_type (MM3gppProfile *self,
                                  MMBearerApnType apn_type);

Sets the APN types to use.

#### Parameters

self | a MM3gppProfile. |
apn_type | a mask of MMBearerApnType values. |

Since: 1.18

### mm_3gpp_profile_get_allowed_auth ()

    MMBearerAllowedAuth
    mm_3gpp_profile_get_allowed_auth (MM3gppProfile *self);

Gets the methods allowed to use when authenticating with the access point.

#### Parameters

self | a MM3gppProfile. |

#### Returns

a bitmask of MMBearerAllowedAuth values, or `MM_BEARER_ALLOWED_AUTH_UNKNOWN` to request the modem-default method.

Since: 1.18

### mm_3gpp_profile_set_allowed_auth ()

    void
    mm_3gpp_profile_set_allowed_auth (MM3gppProfile *self,
                                      MMBearerAllowedAuth allowed_auth);

Sets the method to use when authenticating with the access point.

#### Parameters

self | a MM3gppProfile. |
allowed_auth | a bitmask of MMBearerAllowedAuth values. `MM_BEARER_ALLOWED_AUTH_UNKNOWN` may be given to request the modem-default method. |

Since: 1.18

### mm_3gpp_profile_get_user ()

    const gchar *
    mm_3gpp_profile_get_user (MM3gppProfile *self);

Gets the username used to authenticate with the access point.

#### Parameters

self | a MM3gppProfile. |

#### Returns

the username, or NULL if not set. Do not free the returned value, it is owned by `self` .

[transfer none]

Since: 1.18

### mm_3gpp_profile_set_user ()

    void
    mm_3gpp_profile_set_user (MM3gppProfile *self,
                              const gchar *user);

Sets the username used to authenticate with the access point.

#### Parameters

self | a MM3gppProfile. |
user | the username |

Since: 1.18

### mm_3gpp_profile_get_password ()

    const gchar *
    mm_3gpp_profile_get_password (MM3gppProfile *self);

Gets the password used to authenticate with the access point.

#### Parameters

self | a MM3gppProfile. |

#### Returns

the password, or NULL if not set. Do not free the returned value, it is owned by `self` .

[transfer none]

Since: 1.18

### mm_3gpp_profile_set_password ()

    void
    mm_3gpp_profile_set_password (MM3gppProfile *self,
                                  const gchar *password);

Sets the password used to authenticate with the access point.

#### Parameters

self | a MM3gppProfile. |
password | the password |

Since: 1.18

### mm_3gpp_profile_get_ip_type ()

    MMBearerIpFamily
    mm_3gpp_profile_get_ip_type (MM3gppProfile *self);

Gets the IP type to use.

#### Parameters

self | a MM3gppProfile. |

#### Returns

a MMBearerIpFamily.

Since: 1.18

### mm_3gpp_profile_set_ip_type ()

    void
    mm_3gpp_profile_set_ip_type (MM3gppProfile *self,
                                 MMBearerIpFamily ip_type);

Sets the IP type to use.

#### Parameters

self | a MM3gppProfile. |
ip_type | a MMBearerIpFamily. |

Since: 1.18

### mm_3gpp_profile_get_profile_id ()

    gint
    mm_3gpp_profile_get_profile_id (MM3gppProfile *self);

Gets the profile id.

#### Parameters

self | a MM3gppProfile. |

#### Returns

the profile id..

Since: 1.18

### mm_3gpp_profile_set_profile_id ()

    void
    mm_3gpp_profile_set_profile_id (MM3gppProfile *self,
                                    gint profile_id);

Sets the profile id to use.

If none specified explicitly, MM_3GPP_PROFILE_ID_UNKNOWN is assumed.

#### Parameters

self | a MM3gppProfile. |
profile_id | Numeric profile id to use, or MM_3GPP_PROFILE_ID_UNKNOWN. |

Since: 1.18

### mm_3gpp_profile_get_profile_name ()

    const gchar *
    mm_3gpp_profile_get_profile_name (MM3gppProfile *self);

Gets the name of the profile.

#### Parameters

self | a MM3gppProfile. |

#### Returns

the profile name, or NULL if not set. Do not free the returned value, it is owned by `self` .

[transfer none]

Since: 1.20

### mm_3gpp_profile_set_profile_name ()

    void
    mm_3gpp_profile_set_profile_name (MM3gppProfile *self,
                                      const gchar *profile_name);

Sets the name of the profile.

#### Parameters

self | a MM3gppProfile. |
profile_name | Name of the profile. |

Since: 1.20

### mm_3gpp_profile_get_access_type_preference ()

    MMBearerAccessTypePreference
    mm_3gpp_profile_get_access_type_preference
                                   (MM3gppProfile *self);

Gets 5G network access type preference.

#### Parameters

self | a MM3gppProfile. |

#### Returns

a MMBearerAccessTypePreference.

Since: 1.20

### mm_3gpp_profile_set_access_type_preference ()

    void
    mm_3gpp_profile_set_access_type_preference
                                   (MM3gppProfile *self,
                                    MMBearerAccessTypePreference access_type_preference);

Sets the 5G network access type preference.

#### Parameters

self | a MM3gppProfile. |
access_type_preference | a MMBearerAccessTypePreference. |

Since: 1.20

### mm_3gpp_profile_get_enabled ()

    gboolean
    mm_3gpp_profile_get_enabled (MM3gppProfile *self);

Checks whether the profile is enabled or disabled.

#### Parameters

self | a MM3gppProfile. |

#### Returns

`TRUE` if the profile is enabled, `FALSE` otherwise.

Since: 1.20

### mm_3gpp_profile_set_enabled ()

    void
    mm_3gpp_profile_set_enabled (MM3gppProfile *self,
                                 gboolean enabled);

Sets the flag to indicate whether the profile is enabled or disabled.

#### Parameters

self | a MM3gppProfile. |
enabled | boolean value. |

Since: 1.20

### mm_3gpp_profile_get_roaming_allowance ()

    MMBearerRoamingAllowance
    mm_3gpp_profile_get_roaming_allowance (MM3gppProfile *self);

Gets the roaming allowance rules.

#### Parameters

self | a MM3gppProfile. |

#### Returns

a mask of MMBearerRoamingAllowance values.

Since: 1.20

### mm_3gpp_profile_set_roaming_allowance ()

    void
    mm_3gpp_profile_set_roaming_allowance (MM3gppProfile *self,
                                           MMBearerRoamingAllowance roaming_allowance);

Sets the roaming allowance rules.

#### Parameters

self | a MM3gppProfile. |
roaming_allowance | a mask of MMBearerRoamingAllowance values. |

Since: 1.20

### mm_3gpp_profile_get_profile_source ()

    MMBearerProfileSource
    mm_3gpp_profile_get_profile_source (MM3gppProfile *self);

Gets the profile source.

#### Parameters

self | a MM3gppProfile. |

#### Returns

a MMBearerProfileSource.

Since: 1.20

### mm_3gpp_profile_set_profile_source ()

    void
    mm_3gpp_profile_set_profile_source (MM3gppProfile *self,
                                        MMBearerProfileSource profile_source);

Sets profile source.

#### Parameters

self | a MM3gppProfile. |
profile_source | a MMBearerProfileSource. |

Since: 1.20

## Types and Values

### MM_3GPP_PROFILE_ID_UNKNOWN

    #define MM_3GPP_PROFILE_ID_UNKNOWN -1

This value may be specified in the 'profile-id' property When the user creates a new MM3gppProfile, to indicate that the real profile id should be assigned by the device.

### struct MM3gppProfile

    struct MM3gppProfile;

The MM3gppProfile structure contains private data and should only be accessed using the provided API.